Zum Inhalt springen

rc_api.find_rc_accounts ​

since HF20

Purpose ​

Gibt die verfügbaren Resource Credits (RC) von Konten zurück. Parameter: accounts:string array

accounts (string)
"steemit"Abfrage der verfügbaren Resource Credits für das Konto mit dem Namen "steemit".
"alice"Abfrage der verfügbaren Resource Credits für die Konten mit den Namen "alice" und "bob".

Parameters ​

PARAMETERS
json
{
  "accounts": []
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "rc_api.find_rc_accounts",
    "params": {
      "accounts": [
        "steemit"
      ]
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "rc_api.find_rc_accounts",
    "params": {
      "accounts": [
        "alice",
        "bob"
      ]
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "rc_accounts": [
    {
      "account": "",
      "rc_manabar": {
        "current_mana": "0",
        "last_update_time": 0
      },
      "max_rc_creation_adjustment": {
        "amount": "0",
        "precision": 6,
        "nai": "@@000000037"
      },
      "max_rc": "0"
    }
  ]
}